<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="reminder-body">
  <div style="min-width: 1048px; overflow: auto">
    <div
      *ngIf="bannerMessage.isActive"
      [ngClass]="{
        'alert': true,
        'alert-danger': bannerMessage.status === bannerMessageStatus.error,
        'alert-info': bannerMessage.status === bannerMessageStatus.info,
        'alert-warning': bannerMessage.status === bannerMessageStatus.warning,
        'alert-success': bannerMessageStatus.success
      }"
    >
      <div class="close" (click)="bannerMessage.hide()">x</div>
      {{ bannerMessage.text }}
    </div>
    <div class="maincontent">
      <div class="row">
        <div class="col-xs-6">
          <span style="font-size: 30px">Aktuelle Erinnerungen</span>
        </div>
      </div>
      <app-filter
        [shiftChangeProtocolConfirmed]="shiftChangeClosed"
        [shiftChangeProtocolOpened]="shiftChangeOpened"
        [filterExpanded]="filterExpanded"
      ></app-filter>
      <app-current-reminders
        (editNotificationEmitter)="openDialogEditEntry($event)"
        [withCheckboxes]="false"
        (lookUpNotificationEmitter)="openDialogLookUpEntry($event)"
        [withEditButtons]="true"
        [isCollapsible]="true"
        [gridId]="'CurrentRemindersNot'"
      >
      </app-current-reminders>
    </div>
  </div>
</div>
